=== debian/control ===
Source: ioquake3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-apparmor [linux-any],
 dpkg-dev (>= 1.16.1),
 libcurl4-gnutls-dev,
 libjpeg-dev,
 libopenal-dev,
 libopus-dev,
 libopusfile-dev,
 libsdl2-dev (>= 2.0.0),
 libvorbis-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/ioquake3.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ioquake3.git
Homepage: http://www.ioquake3.org/

Package: ioquake3
Architecture: any
Depends:
 ioquake3-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 x11-utils | zenity | kdebase-bin,
Breaks:
 openarena (<< 0.8.8-9~),
Description: Game engine for 3D first person shooter games
 This package installs a modified version of the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data.

Package: ioquake3-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 ioquake3-server (= ${binary:Version}),
 ${misc:Depends},
Description: debug symbols for the ioquake3 game engine
 This package contains debug symbols for the ioQuake3 game engine,
 which can be used to analyze crashes in games that use Debian's shared
 ioquake engine.

Package: ioquake3-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 openarena-server (<< 0.8.8-9~),
Description: Engine for 3D first person shooter games - server and common files
 This package contains common files for the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 It also contains the dedicated server binary.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data, or to get a usable server,
 install openarena-server or another suitable set of server data.
