=== debian/changelog ===
ioquake3 (1.36+u20161101+dfsg1-2+deb9u1) stretch-security; urgency=medium

  * Reference CVE-2017-6903 in previous changelog entry
  * Add patch from upstream:
    + Address read buffer overflow in
      MSG_ReadBits (CVE-2017-11721) (Closes: #870725)
    + Check buffer boundary exactly in MSG_WriteBits, instead of
      potentially failing with a few bytes still available

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Aug 2017 14:58:14 -0400
