=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-apparmor [linux-any],
  dpkg-dev (>= 1.16.1),
  libcurl4-gnutls-dev,
@@ -14,7 +14,7 @@
  libopenal-dev,
  libopus-dev,
  libopusfile-dev,
- libsdl2-dev (>= 2.0.0),
+ libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/ioquake3.git
@@ -39,18 +39,6 @@
  This package alone isn't of any use; to get a playable game, install
  openarena or another suitable set of game data.
 
-Package: ioquake3-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends:
- ioquake3-server (= ${binary:Version}),
- ${misc:Depends},
-Description: debug symbols for the ioquake3 game engine
- This package contains debug symbols for the ioQuake3 game engine,
- which can be used to analyze crashes in games that use Debian's shared
- ioquake engine.
-
 Package: ioquake3-server
 Architecture: any
 Depends:
