=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/ioquake3.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ioquake3.git
 Homepage: http://www.ioquake3.org/
