=== debian/rules ===
--- 
+++ 
@@ -91,10 +91,10 @@
 ORIG_REPO ?= https://github.com/ioquake/ioq3
 ORIG_REL = 1.36
 # Empty if packaging a tagged release
-ORIG_REV = 1c1e1f61f180596c925a4ac0eddba4806d1369cd
+ORIG_REV = 2955f8dadb0c521218b634eb98da41de9c429a51
 # Use the date of the ORIG_REV, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_REV is
-ORIG_DATE = 20161101
+ORIG_DATE = 20170803
 ORIG_SUFFIX = +dfsg1
 
 ifeq (${ORIG_REV},)
@@ -121,6 +121,7 @@
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/code/AL
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/code/SDL12
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/code/SDL2
+	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/code/curl*
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/code/tools/lcc
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/code/jpeg-8c
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/code/libcurl*
