## ioquake3 1.36+u20180108~dfsg

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  debhelper (>= 10),
- dh-apparmor [linux-any],
+ dh-apparmor [linux-any] <!pkg.flatpak.app>,
  dpkg-dev (>= 1.16.1),
  libcurl4-gnutls-dev,
  libjpeg-dev,
@@ -16,20 +16,23 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/ioquake3.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ioquake3.git
-Homepage: http://www.ioquake3.org/
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
+Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
+Homepage: https://ioquake3.org/
+Rules-Requires-Root: no
 
 Package: ioquake3
 Architecture: any
 Depends:
  ioquake3-server (= ${binary:Version}),
+ libgl1,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- x11-utils | zenity | kdebase-bin,
+ x11-utils | zenity | kdialog,
 Breaks:
+ apparmor (<< 2.10.95-5~),
  openarena (<< 0.8.8-9~),
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
