=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
 	USE_VOIP=1 \
 	$(shell $(CURDIR)/debian/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
 	BUILD_CLIENT_SMP=1 \
-	DEFAULT_BASEDIR=/usr/lib/ioquake3 \
 	BUILD_GAME_SO=1 \
 	BUILD_GAME_QVM=0 \
 	VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
@@ -75,11 +74,13 @@
 	cd $(DESTDIR)/usr/lib/quake3/ta/baseq3 && ln -s ../../../ioquake3/baseq3/*.so .
 	cd $(DESTDIR)/usr/lib/quake3/ta/missionpack && ln -s ../../../ioquake3/missionpack/*.so .
 
+ifeq ($(filter pkg.flatpak.app,$(DEB_BUILD_PROFILES)),)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 override_dh_install-arch:
 	dh_install -a
 	dh_apparmor -pioquake3 --profile-name=usr.lib.ioquake3.ioquake3
 	dh_apparmor -pioquake3-server --profile-name=usr.lib.ioquake3.ioq3ded
+endif
 endif
 
 override_dh_strip:
@@ -91,11 +92,11 @@
 ORIG_REPO ?= https://github.com/ioquake/ioq3
 ORIG_REL = 1.36
 # Empty if packaging a tagged release
-ORIG_REV = 2955f8dadb0c521218b634eb98da41de9c429a51
+ORIG_REV = 6387c336b645a5cffe7b44880609ff4f10c7320a
 # Use the date of the ORIG_REV, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_REV is
-ORIG_DATE = 20170803
-ORIG_SUFFIX = +dfsg1
+ORIG_DATE = 20180108
+ORIG_SUFFIX = ~dfsg
 
 ifeq (${ORIG_REV},)
 	# I have no idea what tags are going to look like, because there
